unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, NewPrgBr;

type
  TForm1 = class(TForm)
    NewProgressBar1: TNewProgressBar;
    Timer1: TTimer;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure NewProgressBar1Changing(Sender: TObject; Position: Integer;
      var AllowChange: Boolean);
    procedure NewProgressBar1Change(Sender: TObject; Position: Integer);
  private
    { Private declarations }
//    Valor : Integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Button1.Enabled := False;
  Button2.Enabled := True;
  Timer1.Enabled  := True;
  Label1.Caption  := '';
//  Valor           := 0;
  Button2.SetFocus;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Timer1.Enabled  := False;
  Button1.Enabled := True;
  Button2.Enabled := False;
  Button1.SetFocus;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
//  Inc(Valor);
//  if Valor > NewProgressBar1.Max then
//     Button2Click(Sender)
//  else
//     NewProgressBar1.Position := Valor;

  NewProgressBar1.StepIt;
  if NewProgressBar1.Position = NewProgressBar1.Max then
     Button2Click(Sender);
end;

procedure TForm1.NewProgressBar1Changing(Sender: TObject;
  Position: Integer; var AllowChange: Boolean);
begin
  //  Este evento no  considerado quando se usa
  //  o mtodo "StepIt" para incrementar a barra
  AllowChange := (Position > 0);
end;

procedure TForm1.NewProgressBar1Change(Sender: TObject; Position: Integer);
begin
  Label1.Caption := IntToStr(Position);
  Form1.Update;
end;

end.
